# DataExchange
TKSTEPBase
StepGeom

# StepGeom_Curve Class Reference

`#include <StepGeom_Curve.hxx>`

Inheritance diagram for StepGeom_Curve:

[legend]

## Public Member Functions

Standard_EXPORT | StepGeom_Curve ()
| Returns a Curve .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Constructor & Destructor Documentation

Standard_EXPORT StepGeom_Curve::StepGeom_Curve | ( |  | ) |

## Member Function Documentation

Standard_EXPORT const StepGeom_Curve::Handle | ( | Standard_Type |  | ) | const

Reimplemented from StepGeom_GeometricRepresentationItem.

Reimplemented in StepGeom_BezierCurve, StepGeom_BezierCurveAndRationalBSplineCurve, StepGeom_BoundaryCurve, StepGeom_BoundedCurve, StepGeom_BSplineCurve, StepGeom_BSplineCurveWithKnots, StepGeom_BSplineCurveWithKnotsAndRationalBSplineCurve, StepGeom_Circle, StepGeom_CompositeCurve, StepGeom_CompositeCurveOnSurface, StepGeom_Conic, StepGeom_CurveReplica, StepGeom_Ellipse, StepGeom_Hyperbola, StepGeom_IntersectionCurve, StepGeom_Line, StepGeom_OffsetCurve3d, StepGeom_OuterBoundaryCurve, StepGeom_Parabola, StepGeom_Pcurve, StepGeom_Polyline, StepGeom_QuasiUniformCurve, StepGeom_QuasiUniformCurveAndRationalBSplineCurve, StepGeom_RationalBSplineCurve, StepGeom_SeamCurve, StepGeom_SurfaceCurve, StepGeom_SurfaceCurveAndBoundedCurve, StepGeom_TrimmedCurve, StepGeom_UniformCurve, and StepGeom_UniformCurveAndRationalBSplineCurve.

The documentation for this class was generated from the following file:

- StepGeom_Curve.hxx